[arch-commits] Commit in lib32-cairo/repos (2 files)

Jan Steffens heftig at archlinux.org
Fri Aug 2 14:59:57 UTC 2019


    Date: Friday, August 2, 2019 @ 14:59:57
  Author: heftig
Revision: 497060

archrelease: copy trunk to multilib-testing-x86_64

Added:
  lib32-cairo/repos/multilib-testing-x86_64/
  lib32-cairo/repos/multilib-testing-x86_64/PKGBUILD
    (from rev 497059, lib32-cairo/trunk/PKGBUILD)

----------+
 PKGBUILD |   72 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 72 insertions(+)

Copied: lib32-cairo/repos/multilib-testing-x86_64/PKGBUILD (from rev 497059, lib32-cairo/trunk/PKGBUILD)
===================================================================
--- multilib-testing-x86_64/PKGBUILD	                        (rev 0)
+++ multilib-testing-x86_64/PKGBUILD	2019-08-02 14:59:57 UTC (rev 497060)
@@ -0,0 +1,72 @@
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=lib32-cairo
+pkgver=1.17.2+17+g52a7c79fd
+pkgrel=1
+pkgdesc="2D graphics library with support for multiple output devices (32-bit)"
+url="https://cairographics.org/"
+arch=(x86_64)
+license=(LGPL MPL)
+depends=(lib32-libpng lib32-libxrender lib32-libxext lib32-fontconfig lib32-pixman lib32-glib2
+         cairo)
+makedepends=(lib32-librsvg lib32-gtk2 gtk-doc valgrind git)
+checkdepends=(ttf-dejavu gsfonts)
+_commit=52a7c79fd4ff96bb5fac175f0199819b0f8c18fc  # master
+source=("git+https://gitlab.freedesktop.org/cairo/cairo.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd cairo
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd cairo
+
+  # Update gtk-doc
+  cp /usr/share/aclocal/gtk-doc.m4 build/aclocal.gtk-doc.m4
+  cp /usr/share/gtk-doc/data/gtk-doc.make build/Makefile.am.gtk-doc
+
+  # Fix typo
+  sed -i 's/have_png/use_png/g' configure.ac
+
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export CC="gcc -m32"
+  export CXX="g++ -m32"
+  export PKG_CONFIG_PATH="/usr/lib32/pkgconfig"
+
+  cd cairo
+  ./configure --prefix=/usr \
+        --libdir=/usr/lib32 \
+        --sysconfdir=/etc \
+        --localstatedir=/var \
+        --disable-static \
+        --disable-gl \
+        --enable-tee \
+        --enable-svg \
+        --enable-ps \
+        --enable-pdf \
+        --enable-gobject \
+        --disable-gtk-doc \
+        --enable-full-testing \
+        --enable-test-surfaces
+  sed -i 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd cairo
+  # FIXME: tests don't pass
+  env CAIRO_TEST_TARGET=image \
+      CAIRO_TEST_TARGET_FORMAT=rgba \
+      CAIRO_TESTS='!pthread-show-text' make -k check || :
+}
+
+package() {
+  cd cairo
+  make DESTDIR="$pkgdir" install
+  rm -r "$pkgdir"/usr/{include,bin}
+}


More information about the arch-commits mailing list